# Class Copy

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.Copy

All Implemented Interfaces:
  `Command`

public class Copy extends AbstractAction
Implements the Copy menu command

## Constructor Summary

Constructors
Constructor
Description
`Copy()`

## Method Summary

Modifier and Type
Method
Description
`static JMeterTreeNode`
`cloneTreeNode(JMeterTreeNode node)`
`static JMeterTreeNode[]`
`cloneTreeNodes(JMeterTreeNode[] nodes)`
`void`
`doAction(ActionEvent e)`
`Set<String>`
`getActionNames()`
`static JMeterTreeNode[]`
`getCopiedNodes()`
`static void`
`setCopiedNodes(JMeterTreeNode[] nodes)`

### Methods inherited from class AbstractAction

`popupShouldSave`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Copy

public Copy()

## Method Details

### getActionNames

public Set<String> getActionNames()

Specified by:
  `getActionNames` in interface `Command`
Specified by:
  `getActionNames` in class `AbstractAction`
See Also:
  - `Command.getActionNames()`

### doAction

public void doAction(ActionEvent e)

Specified by:
  `doAction` in interface `Command`
Overrides:
  `doAction` in class `AbstractAction`
See Also:
  - `Command.doAction(ActionEvent)`

### getCopiedNodes

public static JMeterTreeNode[] getCopiedNodes()

### cloneTreeNode

public static JMeterTreeNode cloneTreeNode(JMeterTreeNode node)

### setCopiedNodes

public static void setCopiedNodes(JMeterTreeNode[] nodes)

### cloneTreeNodes

public static JMeterTreeNode[] cloneTreeNodes(JMeterTreeNode[] nodes)